interface TagClassifyResult {
    artist: string[];
    group: string[];
    series: string[];
    type: string[];
    character: string[];
    rest: string[];
}

export function classifyTags(tags: string[]): TagClassifyResult {
    const result = {
        artist: [],
        group: [],
        series: [],
        type: [],
        character: [],
        rest: [],
    } as TagClassifyResult;
    const tagKind = new Set(["artist", "group", "series", "type", "character"]);
    for (const tag of tags) {
        const split = tag.split(":");
        if (split.length !== 2) {
            continue;
        }
        const [prefix, name] = split;
        if (tagKind.has(prefix)) {
            result[prefix as keyof TagClassifyResult].push(name);
        } else {
            result.rest.push(tag);
        }
    }
    return result;
}
